지원되는 플랫폼

Flow Science는 64 비트 Windows 및 Linux 플랫폼에서 FLOW-3D 를 지원합니다 . 아래 구성은 FLOW-3D v12.0에 대해 업데이트되었습니다 .
Flow Science의 IT 관리자 Matthew Taylor의 자료를 기반으로 다양한 하드웨어 구성 요소를 분석하고 FLOW-3D  제품을 최대한 활용하기위한 몇 가지 이상적인 구성을 제안 합니다.

CPU 및 메모리

FLOW-3D 에는 64 비트 CPU가 필요합니다. Intel Xeon, Core i9 또는 Core i7 프로세서를 권장합니다.

프로세서 코어 당 최소 4GB의 RAM이 권장됩니다. 예를 들어, 2 개의 6 코어 CPU가있는 워크 스테이션에는 최소 48GB의 메모리가 있어야합니다. 그러나 필요한 RAM의 양은 문제에 따라 크게 달라집니다. 대규모 도메인 또는 정밀한 해상도가 필요한 복잡한 지오메트리의 시뮬레이션의 경우 필요한 최소값보다 훨씬 더 많은 RAM이 필요합니다.

그래픽 지원

nVidia Quadro 시리즈 그래픽 카드는 적극 권장되며 원격으로 액세스 할 컴퓨터에 필요합니다. Linux 운영 체제에서는 원격 그래픽 세션을 위해 추가 소프트웨어 도구 Nice DCV 또는 Penguin SCW를 Quadro 하드웨어와 함께 사용해야합니다. 원격 OpenGL을 지원하지 않는 VNC 또는 기타 도구는 권장되거나 지원되지 않습니다.

nVidia의 GTX 시리즈는 데스크톱 및 노트북 컴퓨터에서 적절한 성능을 보였지만 원격 시각화에는 권장되지 않습니다.

특정 그래픽 구현은 블랙리스트에 등록되어 그래픽 성능이 저하되거나 성능이 저하 될 수 있습니다. 다음 OpenGL 렌더러는 권장되거나 지원되지 않습니다.

  • Intel 통합 그래픽
  • GDI Generic : 원격 데스크톱 연결을 통해 FLOW-3D 를 열 때 Windows 기본 렌더러입니다.
  • Mesa : 이것은 Linux 시스템의 일반적인 기본 구현입니다.
  • Gallium : 이것은 Linux 시스템의 일반적인 기본 구현입니다.

라이센스 서버 소프트웨어

FLOW-3D 는 라이센스 관리를 위해 FLEXlm을 사용합니다. Windows 네트워크에서 FLEXlm 부동 관리자를 사용하기로 선택한 경우 네트워크 서버는 Microsoft Windows 7, 8, 8.1, 10, Server 2008 또는 Server 2012를 실행해야하며 라이센스 서버의 FLEXID 또는 MAC 주소를 제공해야합니다. .

운영체제

데스크톱에서 지원되는 운영 체제와 HPC 버전 간의 차이점에 유의하십시오.

윈도우

FLOW-3D 는 Windows 7 서비스 팩 1, Windows 8.1 업데이트 1 및 Windows 10에서 지원됩니다. Windows Server 2016은 지원되지 않습니다.
HPC 버전은 Windows 운영 체제에서 지원되지 않습니다.

리눅스

FLOW-3D 는 Red Hat Enterprise Linux 6, Red Hat Enterprise Linux 7 및 SUSE Enterprise Linux 12에서 지원됩니다.

“호환되는”Linux 배포 (예 : Fedora, Scientific Linux, Debian, Ubuntu) 에서 FLOW-3D 설치에 대한 지원은  Flow Science의 RedHat 및 Novell 엔터프라이즈 급 Linux 배포에서 문제를 재현 할 수있는 경우에만 제공됩니다.

개발자 도구

Flow Science가 표준 설치의 일부로 배포하는 서브 루틴을 사용자 지정하려는 사용자는 Intel Fortran Compiler 2016, 최소 업데이트 1에 대한 라이선스가 필요합니다. Windows 운영 체제를 실행하는 사용자는 Visual Studio 2010 또는 2013도 필요합니다.

HPC 버전을 사용자 정의하려면 인텔 MPI 라이브러리 5.1에 대한 라이센스도 필요합니다.

HPC 사용자를위한 중요 참고 사항

HPC 버전은 Infiniband와 같은 고속 네트워크 상호 연결과 클러스터의 모든 노드에서 액세스 할 수있는 대용량 공유 NFS 디스크를 사용하여 워크 스테이션과 클러스터 모두에서 실행됩니다. HPC 버전은 Intel® MPI를 지원하며이를위한 런타임 라이브러리는 설치의 일부로 제공됩니다. 클러스터 권장 사항은 영업 팀에 문의하십시오  .